{% extends 'store/main.html' %}
{% load static %}
{% block content %}
    <div class="row">
		<div class="col-lg-6">
			<div class="box-element" id="form-wrapper">
                <form id="form">

                    <div id="user-info">
						<div class="form-field">
							<input required class="form-control" type="text" name="name" placeholder="Name..">
						</div>
						<div class="form-field">
							<input required class="form-control" type="email" name="email" placeholder="Email..">
						</div>
					</div>
 					<div id="shipping-info">
						<hr>
						<p>Shipping Information:</p>
						<hr>
						<div class="form-field">
							<input class="form-control" type="text" name="address" placeholder="{{ customer.address }}">
						</div>
                        <p></p>

                        <div class="form-field">
							<input class="form-control" type="text" name="phone" placeholder="{{ customer.phone }}">
						</div>
					</div>

					<hr>
					<input id="form-button" class="btn btn-success btn-block" type="submit" value="Continue">
				</form>
			</div>
		</div>
        <br>
			<div class="box-element hidden" id="payment-info">
				<small>Paypal Options</small>
			</div>

		<div class="col-lg-6">
			<div class="box-element">

                <a  class="btn btn-outline-dark" href="{% url 'cart' %}">&#x2190; Back to Cart</a>
				<hr>
				<h3>Order Summary</h3>

				<hr>
                {% for item in items %}
				<div class="cart-row">
					<div style="flex:2"><img class="row-image" src="{{item.product.imageURL}}"></div>
					<div style="flex:2"><p>{{item.product.name}}</p></div>
					<div style="flex:1"><p>{{item.product.price}}da</p></div>
					<div style="flex:1"><p>{{item.quantity}}</p></div>
				</div>
                {% endfor %}
				<h5>Items:   {{order.get_cart_items}}</h5>
				<h5>Total:   {{order.get_cart_total}}da</h5>
			</div>
		</div>
	</div>
    
    <script type="text/javascript">
         if (user !== 'AnonymousUser'){
		 	document.getElementById('user-info').innerHTML = ''
		 }
        var total = "{{order.get_cart_total}}";
        document.getElementById('form-button').addEventListener('click',function (e) {
            submitFormData()
        });

        function submitFormData() {
            var userFormData = {
                'name':null,
				'email':null,
                'total': total,
            };

            var shippingInfo = {
                'address' : null,
                'phone' : null
            };

            if (user === 'AnonymousUser'){
	    		userFormData.name = form.name.value;
	    		userFormData.email = form.email.value;
                shippingInfo.address = form.address.value;
	    	}
            else{
                shippingInfo.address = form.address.value;
                shippingInfo.phone = form.phone.value
            }
            var url = "/process_order/";
	    	fetch(url, {
	    		method:'POST',
	    		headers:{
	    			'Content-Type':'application/json',
	    			'X-CSRFToken':csrftoken,
	    		},
	    		body:JSON.stringify({'form':userFormData, 'shipping':shippingInfo}),
	    	})

            .then((response) => response.json())
            .then((data) => {
				console.log('Success:', data);
				alert('Transaction completed');
				cart = {};
			    document.cookie ='cart=' + JSON.stringify(cart) + ";domain=;path=/";

				window.location.href = "{% url 'store' %}"

            })

        }


    </script>
{% endblock content %}